Subject: bug#22556: 25.0.90; autogen.sh automatic parameter isn't working

From: David Caldwell <[email-masked]>
Date: Thu, 4 Feb 2016 19:06:12 -0800

On 2/4/16 6:32 PM, Glenn Morris wrote:
> David Caldwell wrote:
> 
>> Commit aca31e3815b9bd9c696cf0c74cc4a80ad7e35ec9 seems to have broken
>> './autogen.sh'. It's requiring me to invoke it with the 'autoconf'
>> parameter. A quick peek at the source looks like it should be automatic,
>> but I think there's a bug in the shell code. At least, I needed this
>> change to make the 'autoconf' automatic under bash.
> 
> I don't see the issue with bash, but I do with eg dash.

Whoops, you're right: I'm running this on Debian, where /bin/sh is dash.

I forgot to show the symptom in my original bug report, which was:
$ ./autogen.sh
You can now run './autogen.sh autoconf'.
$

>> -for arg in ${*-autoconf}; do
>> +for arg in ${*:-autoconf}; do
> 
> The autoconf manual says that this is portable to all shells that
> support functions, so it should be fine, since autogen.sh uses
> functions.

Sorry, were you referring to "${*-autoconf}" or "${*:-autoconf}" being
portable?

-David